import { createApp } from 'vue'
import './style.css'
import App from './App.vue'
import Login from './components/Login.vue';
import Home from './components/Home.vue';

import { createRouter, createWebHistory } from 'vue-router'

const router = createRouter({
    // 4. Provide the history implementation to use. We are using the hash history for simplicity here.
    history: createWebHistory(),
    routes: [
        { path: '/', component: Home },
        { path: '/login', component: Login },
    ],
})

// 5. Create and mount the root instance.
const app = createApp(App)
// Make sure to _use_ the router instance to make the
// whole app router-aware.
app.use(router)

app.mount('#app')